Page MenuHomePhabricator

[Matrix] Propagate and use shape information for loads.
ClosedPublic

Authored by fhahn on Dec 2 2019, 5:52 AM.

Details

Summary

This patch extends to shape propagation to also include load
instructions and implements shape aware lowering for vector loads.

Diff Detail

Event Timeline

fhahn created this revision.Dec 2 2019, 5:52 AM
Herald added a project: Restricted Project. · View Herald TranscriptDec 2 2019, 5:52 AM
Herald added a subscriber: hiraditya. · View Herald Transcript

Build result: FAILURE - Could not check out parent git hash "f906520f30c8c484ead15ab42098d5fc35275230". It was not found in the repository. Did you configure the "Parent Revision" in Phabricator properly? Trying to apply the patch to the master branch instead...

ERROR: arc patch failed with error code 1. Check build log for details.
Log files: console-log.txt, CMakeCache.txt

reames resigned from this revision.Dec 2 2019, 4:50 PM

I am confused about this patch and the previous one (D70899). Looks like they both introduce VisitLoad. Is this intentional?

anemet requested changes to this revision.Dec 19 2019, 3:14 PM
This revision now requires changes to proceed.Dec 19 2019, 3:14 PM
fhahn updated this revision to Diff 234873.Dec 20 2019, 5:49 AM
  • [Matrix] Propagate and use shape information for loads.

I am confused about this patch and the previous one (D70899). Looks like they both introduce VisitLoad. Is this intentional?

No, it looks like I did not update D70899 after this one. I've updated the D70899 to not include the load lowering changes and updated the tests to only show the changes.

TO make that easier I adjusted computeColumnAddr to give the values more meaningful names.

Unit tests: unknown.

clang-tidy: unknown.

clang-format: unknown.

Build artifacts: diff.json, console-log.txt

anemet accepted this revision.Jan 7 2020, 6:21 PM

LGTM.

This revision is now accepted and ready to land.Jan 7 2020, 6:21 PM
fhahn added a comment.Jan 8 2020, 1:11 PM

Thanks! I'll land this and the related patches tomorrow.

This revision was automatically updated to reflect the committed changes.